LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 12-24-2003, 10:24 PM   #1
dsheller
Member
 
Registered: Jan 2003
Posts: 56

Rep: Reputation: 15
Linux 6.1 + BF1942 Server


I am trying to use a spare computer as a BF1942 server, yes I know 6.1 is rather old, however, I cannot change that, seriously i cant =/. Anyway, when I try to start the server I get the following error:

./bf1942_lnxded: error in loading shared libraries: libncurses.so.5: cannot open shared object file: No such file or directory

Then, when I goto download an rpm for this I cannot install it due to this:

error: failed dependencies:
libc.so.6(GLIBC_2.2) is needed by ncurses-5.3-4
libc.so.6(GLIBC_2.3) is needed by ncurses-5.3-4
rpmlib(PartialHardlinkSets) <= 4.0.4-1 is needed by ncurses-5.3-4

Basically I see this problem turning into a never ending web, if anyone could help me that would be excellent.
 
Old 12-24-2003, 10:33 PM   #2
Baldorg
Member
 
Registered: Sep 2003
Location: GMT (-5)
Distribution: Mandrake 9.1
Posts: 288

Rep: Reputation: 31
You should start by installing the latest gnu c libraries( glibc) and rpmlib....

Welcome to dependency hell btw.
 
Old 12-24-2003, 10:35 PM   #3
dsheller
Member
 
Registered: Jan 2003
Posts: 56

Original Poster
Rep: Reputation: 15
Where can I get these at?

Thanks for the warm welcome =)
 
Old 12-24-2003, 10:54 PM   #4
Baldorg
Member
 
Registered: Sep 2003
Location: GMT (-5)
Distribution: Mandrake 9.1
Posts: 288

Rep: Reputation: 31
Linux 6.1 doesn't mean anything. Did you mean Redhad 6.1? If yes then try:

http://rpmfind.net/linux/rpm2html/se...mit=Search+...

And select your specific distribution.
 
Old 12-24-2003, 10:56 PM   #5
dsheller
Member
 
Registered: Jan 2003
Posts: 56

Original Poster
Rep: Reputation: 15
Yea sorry meant redhat, forgot that there are so many distributions.

Wow, so many choices, hope i can make the correct one.

Last edited by dsheller; 12-24-2003 at 10:59 PM.
 
Old 12-25-2003, 01:06 AM   #6
dsheller
Member
 
Registered: Jan 2003
Posts: 56

Original Poster
Rep: Reputation: 15
Em, sorry to bump this, but I am afraid I am too much a linux noob to be able to pick the correct package out, also I dont want to screw over the box I am using =/
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
cannot install bf1942 Lenin.Jello Linux - Games 2 09-29-2005 06:37 PM
BF1942 Ded. server - can i play as well Battlefield Linux - Software 1 11-17-2004 05:36 PM
Transgamming bf1942 brinkoo7 Linux - Software 0 10-29-2004 06:30 AM
BF1942 cedega?!?! o0linuxkid0o Linux - Games 13 10-10-2004 09:26 AM
Bf1942 Lostman Linux - Games 10 01-23-2004 07:01 AM


All times are GMT -5. The time now is 03:20 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration